Questions & Answers

I purchased presonus sphere but my mac os 10.11 and I cant use studio one 5.Can I have studio one 4 instead ? thank you

0 votes
69 views
asked Apr 8 in PreSonus Sphere by andreastanuwiharja (120 points)
I purchased Presonus Sphere but my mac os I use is mac os 10.11 I cant use studio one 5 can I have Studio one 4 instead ? Thank you

1 Answer

0 votes
answered Apr 14 by koreymontplaisir (2,460 points)
I would create a support ticket directly to Presonus for help with this.
...